<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Resep Makanan</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
        integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.carousel.min.css">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.theme.min.css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <link rel="stylesheet" href="/css/style.css">
    <link rel="stylesheet" href="/css/cssRecipe/resep.css">

</head>


<body>
    <%- include('../partials/navbar') %>

    <!-- banner -->
    <div class="jumbotron-recipe">
        <div class="container">
            <div class="row">
                <div class="col-sm-12">
                    <h1 class="title"><b>Resep</b></h1>
                    <hr>
                </div>
            </div>
        </div>
    </div>

    <!-- search bar -->
    <div class="container">
        <div class="row justify-content-center">
            <div class="search-bar">
                <div class="input-group">
                    <div class="input-group-append">
                        <button class="btn btn-secondary" type="button">
                            <i class="fa fa-search"></i>
                        </button>
                    </div>
                    <input type="text" class="form-control" placeholder="Cari Resep" id='searchForm'></input>
                </div>
            </div>
        </div>
    </div>
    <!-- end search bar -->

    <!-- content -->
    <section class="content">
        <div class="container pt-5" id='recipeContainer'>

            <% if(!recipe.length){ %>
            <div class="d-flex w-100 justify-content-center align-items-center">
                <h3>Tidak ada resep</h3>
            </div>
            <% } %>

        </div>
    </section>
    <!-- end content -->

    <!-- pagination -->
    <nav class="mt-5 mb-5 pagination">
        <ul class="pagination">
            <li class="page-item"><a class="page-link" href="#">Previous</a></li>
            <li class="page-item"><a class="page-link" href="#">1</a></li>
            <li class="page-item"><a class="page-link" href="#">2</a></li>
            <li class="page-item"><a class="page-link" href="#">3</a></li>
            <li class="page-item"><a class="page-link" href="#">Next</a></li>
        </ul>
    </nav>
    <!-- end Pagination -->

    <!-- foter -->
    <%- include('../partials/footer') %>
    <!-- end footer -->

</body>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
    integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous">
</script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
    integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous">
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"
    integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous">
</script>
<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.0.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.carousel.min.js">
</script>
<script>
    const data = `<%- JSON.stringify(recipe) %>`

    const parsed = JSON.parse(data)

    const container = document.querySelector('#recipeContainer');
    const searchForm = document.querySelector('#searchForm');

    parsed.forEach(data => {
        container.innerHTML += `
        <a href="recipe/detail-recipe/${data.id}">
                <div class="row justify-content-center pt-5">
                    <div class="col-sm-5 resepimg">
                        <img src="${data.imageUrl}" alt="" class="img-rounded" width="342" height="274">
                    </div>
                    <div class="col-sm-7 reseptxt">
                        <h3>Resep</h3>
                        <hr>
                        <h1><b>${data.title}</b></h1>
                        <p>Mamasakan |
                             ${new Date(data.createdAt).toLocaleDateString(['ban', 'id'], { day: 'numeric', month: 'long', year: 'numeric' })}
                        </p>
                    </div>
                </div>
            </a>
                `
    })

    searchForm.addEventListener('input', e => {
        container.innerHTML = '';
        e.preventDefault();
        const filtered = parsed.filter(data => {
            return data.title.toLowerCase().includes(e.target.value.toLowerCase())
        })
        if (filtered.length > 0) {
            filtered.forEach(data => {
                container.innerHTML += `
                <a href="recipe/detail-recipe/${data.id}">
                <div class="row justify-content-center pt-5">
                    <div class="col-sm-5 resepimg">
                        <img src="${data.imageUrl}" alt="" class="img-rounded" width="342" height="274">
                    </div>
                    <div class="col-sm-7 reseptxt">
                        <h3>Resep</h3>
                        <hr>
                        <h1><b>${data.title}</b></h1>
                        <p>Mamasakan |
                            ${new Date(data.createdAt).toLocaleDateString(['ban', 'id'], { day: 'numeric', month: 'long', year: 'numeric' })}
                        </p>
                    </div>
                </div>
            </a>
                `
            })
        } else {
            container.innerHTML = `
            <div class="d-flex w-100 justify-content-center align-items-center">
                <h3>Tidak ada resep</h3>
            </div>
            `
        }
    })
</script>


</html>